#version 320 es
precision mediump float;

in vec2 uTexCoord;

uniform sampler2D uRgbTexture;

out vec4 FragColor;

void main() {
    vec4 rgb = texture(uRgbTexture, uTexCoord);
    FragColor = vec4(vec3(0.299 * rgb.r + 0.587 * rgb.g + 0.114 * rgb.b), 1.0);
}
